export declare class CpslButtonGroup {
    el: HTMLCpslButtonGroupElement;
    /**
     * The id of the selected button.
     */
    selectedId?: string;
    selectItem(): void;
    componentWillRender(): void;
    private get buttonSlots();
    private get otherSlots();
    render(): any;
}
